# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-drizzle
%define fedora 19
%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif


# source name will be changing from python-libdrizzle to python-drizzle in the near future
Name:           python-module-drizzle
Version:        0.08.2
Release:        alt1_10
Summary:        Python wrappers for libdrizzle 
Group:          Development/Python
License:        BSD 
URL:            https://launchpad.net/drizzle-interface
Source0:        http://launchpad.net/drizzle-interface/trunk/ongoing-development/+download/python-libdrizzle-%{version}.tar.gz

# LaunchPad Bug #561003
# Bug https://bugs.launchpad.net/drizzle-interface/+bug/561003
Patch0: python-drizzle-0.08.2-module_name.patch
Patch1: python-drizzle-0.08.2-setuptools.patch
    
BuildRequires:  libdrizzle-devel python-devel python-module-setuptools
Source44: import.info

%description
Drizzle is a transactional SQL92 compliant relational database, geared
towards a plugin based architecture. This package provides Python wrappers 
via the libdrizzle client protocol library.

%prep
%setup -q -n python-libdrizzle-%{version}

%patch0 -p1 -b .module_name
%patch1 -p1 -b .setuptools


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install

%{__python} setup.py install -O1 \
    --skip-build \
    --root %{buildroot}


%files 
%doc README 
%{python_sitelibdir}/drizzle/
%{python_sitelibdir}/python_drizzle-%{version}-py%{pyver}.egg-info/


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.08.2-alt1_10
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.08.2-alt1_9
- initial fc import

